org.eclipse.ease.ui.dnd

## Class JarDropHandler

- java.lang.Object
- - org.eclipse.ease.ui.dnd.AbstractModuleDropHandler
  - - org.eclipse.ease.ui.dnd.AbstractFileDropHandler
    - - org.eclipse.ease.ui.dnd.JarDropHandler

All Implemented Interfaces:
  IShellDropHandler

    public class JarDropHandler
    extends AbstractFileDropHandler

Drop handler accepting jar files. Calls loadJar() on dropped files.

### Constructor Summary

Constructors
Constructor and Description
`JarDropHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `performDrop(IScriptEngine scriptEngine, Object element)` Perform the drop action.

### Methods inherited from class org.eclipse.ease.ui.dnd.AbstractFileDropHandler

`accepts`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JarDropHandler

    public JarDropHandler()

### Method Detail

#### performDrop

    public void performDrop(IScriptEngine scriptEngine,
                            Object element)

Description copied from interface: `IShellDropHandler`
Perform the drop action.

Parameters:
  `scriptEngine` - script engine to execute drop action
  `element` - element to be dropped